Bug 127508 - oops in vscnprintf during install on x335
oops in vscnprintf during install on x335
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2004-07-08 23:00 EDT by Mike McLean
Modified: 2015-01-04 17:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-14 15:10:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
full anaconda syslog (47.30 KB, text/plain)
2004-07-08 23:01 EDT, Mike McLean
no flags Details
full anaconda.log (7.97 KB, text/plain)
2004-07-08 23:02 EDT, Mike McLean
no flags Details

  None (edit)
Description Mike McLean 2004-07-08 23:00:53 EDT
* FC3-re0708.0 i386
* ibm x335

Install exited abnormally.  It appears to have died during (or just
after) formating the hard drive.  The following oops was recorded in
anaconda's syslog:

<1>Unable to handle kernel paging request at virtual address 6b6b6b6b
<1> printing eip:
<1>*pde = 00000000
<1>Oops: 0000 [#1]
<4>Modules linked in: parport_pc parport dm_mod xfs jfs reiserfs ext3
jbd msdos raid6 raid5 xor raid1 raid0 mptscsih mptbase tg3 ohci_hcd
sr_mod sd_mod scsi_mod floppy loop nfs lockd sunrpc vfat fat cramfs
vga16fb vgastate
<4>CPU:    0
<4>EIP:    0060:[<c01d9148>]    Not tainted
<4>EFLAGS: 00010097   (2.6.7-1.478) 
<4>EIP is at vsnprintf+0x2c2/0x481
<4>eax: 6b6b6b6b   ebx: c03c471c   ecx: 6b6b6b6b   edx: fffffffe
<4>esi: f6db2e7c   edi: 0000000a   ebp: ffffffff   esp: f6db2e1c
<4>ds: 007b   es: 007b   ss: 0068
<4>Process anaconda (pid: 389, threadinfo=f6db2000 task=f70c3260)
<4>Stack: ffffffff ffffffff 00000000 c03c4aff 00000400 c03c4700
c03021e0 00000400 
<4>       00000046 f6db2ecc f6db2ec0 c01d9313 f6db2e70 f7d0119c
c0120166 f6db2e70 
<4>       f7d0119c 00000001 f6db2ecc c013f91e c03021ce c030989c
00000259 6b6b6b6b 
<4>Call Trace:
<4> [<c01d9313>] vscnprintf+0xc/0x16
<4> [<c0120166>] printk+0xbd/0x2e6
<4> [<c013f91e>] find_get_pages_tag+0x69/0x127
<4> [<c014ad15>] pagevec_lookup_tag+0x1b/0x22
<4> [<c013ef13>] wait_on_page_writeback_range+0xaa/0xe1
<4> [<c0188115>] __sync_single_inode+0xe8/0x28c
<4> [<c01885e3>] sync_sb_inodes+0x1a6/0x34b
<4> [<c0188c19>] sync_inodes_sb+0xf9/0x171
<4> [<c0188fde>] sync_inodes+0x4c/0x6c
<4> [<c0163237>] do_sync+0x35/0x55
<4> [<c0163261>] sys_sync+0xa/0xd
<4> [<c02f9347>] syscall_call+0x7/0xb
<4>Code: 80 38 00 74 07 40 4a 83 fa ff 75 f4 29 c8 89 c7 f6 44 24 08 
Comment 1 Mike McLean 2004-07-08 23:01:54 EDT
Created attachment 101739 [details]
full anaconda syslog
Comment 2 Mike McLean 2004-07-08 23:02:33 EDT
Created attachment 101740 [details]
full anaconda.log
Comment 4 Bill Nottingham 2004-08-05 15:48:50 EDT
Does the same test on the same box on current trees succeeds or fails
Comment 5 Mike McLean 2004-08-05 16:32:06 EDT
Well, "current" trees are unhappy for other reasons, but if I dig
through through KATE I find:

This same problem manifested with the same test on
rawhide-20040730-i386, but on a different machine.   Not quite the
same point in the test either.  The test iterates of lang-table.  The
original case died on the 3rd language (french), but the this repeat
made it past french and died on the 7th language (turkish).

For rawhide-20040716-i386, the original machine hit the bug on almost
the same case (same template, but a different subset of lang-table). 
It died on the second pass (czech).
Comment 7 Dave Jones 2005-01-14 01:00:53 EST
did this ever get resolved ?
Comment 8 Mike McLean 2005-01-14 15:10:39 EST
Haven't seen this in a long while.

Note You need to log in before you can comment on or make changes to this bug.